
// Custom Theming for NG-ZORRO
// For more information: https://ng.ant.design/docs/customize-theme/en
@import "../node_modules/ng-zorro-antd/ng-zorro-antd.less";
@import "../node_modules/@fontsource/open-sans/300.css";
@import "../node_modules/@fontsource/open-sans/300-italic.css";
@import "../node_modules/@fontsource/open-sans/400.css";
@import "../node_modules/@fontsource/open-sans/400-italic.css";
@import "../node_modules/@fontsource/open-sans/500.css";
@import "../node_modules/@fontsource/open-sans/500-italic.css";
@import "../node_modules/@fontsource/open-sans/600.css";
@import "../node_modules/@fontsource/open-sans/600-italic.css";
@import "../node_modules/@fontsource/open-sans/700.css";
@import "../node_modules/@fontsource/open-sans/700-italic.css";
@import "../node_modules/@fontsource/open-sans/800.css";
@import "../node_modules/@fontsource/open-sans/800-italic.css";
// Override less variables to here
// View all variables: https://github.com/NG-ZORRO/ng-zorro-antd/blob/master/components/style/themes/default.less

// primary palette
@primary-color: #612158;
@primary-color-hover: #804d79;

// Layout
@layout-body-background: #f7f7f7;
@layout-header-background: #f7f7f7;

// colors: backgrounds and surfaces
@body-background: #f7f7f7;
@component-background: #f7f7f7;

// colors: borders
@popover-customize-border-color: #C6CDD4;
@border-color-base: #607088; // base border outline a component
@border-color-split: #C6CDD4; // split border inside a component
@border-color-inverse: #F0ECF0;

// colors: text
@text-color: #17253D;
@text-color-secondary: #607088;
@text-color-inverse: #F0ECF0;
@icon-color: #607088;
@icon-color-hover: fade(#607088, 75%);
@heading-color: #17253D;
@text-color-dark: #F0ECF0;
@text-color-secondary-dark: #C6CDD4;
@text-selection-bg: @primary-color;

// fonts
@font-family: "Open Sans", sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol', 'Noto Color Emoji';

// buttons
@btn-font-weight: 400;
@btn-border-radius-base: 3px;
@btn-border-radius-sm: 3px;
@btn-border-width: 1px;
@btn-border-style: solid #612158;

@btn-primary-color: #fff;
@btn-primary-bg: @primary-color;
@btn-primary-bg-hover: @primary-color-hover; // TODO

@btn-default-color: @primary-color;
@btn-default-bg: #fff;
@btn-default-bg-hover: @primary-color; // TODO
@btn-default-border: @primary-color;

body {
  font-size: 16px;
}
.content {
  max-width: 1200px;
  padding-top: 128px;
  margin: 0 auto;
}
h1 {
  font-size: 24px;
  font-weight: 400;
  margin-bottom: 40px;
}
h2 {
  font-size: 20px;
  font-weight: 400;
  margin-bottom: 24px;
}

p {
  margin-bottom: 24px;
}
.ant-collapse-item {
  border-color: #c6cdd4;
  box-shadow: none;
  border-radius: 0;
}

.ant-collapse-header{
  background: #fff;
  border-radius: 0;
  font-size: 18px;
  height: 56px;
}

.ant-collapse-item-active > .ant-collapse-header {
  color: @primary-color !important;
  font-weight: 500;
}
.ant-collapse-content-box {
  background: #fff;
  border-color: #c6cdd4;
  border-radius: 0;
}

.ant-table-content {
  background-color: #fff;
}
